# Uses of Enum Class
org.bukkit.CoalType

Packages that use CoalType
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.material
Classes that represents various voxel types and states.

## Uses of CoalType in org.bukkit

Methods in org.bukkit that return CoalType
Modifier and Type
Method
Description
`static @Nullable CoalType`
CoalType.`getByData(byte data)`
Deprecated.
Magic value
`static CoalType`
CoalType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CoalType[]`
CoalType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CoalType in org.bukkit.material

Methods in org.bukkit.material that return CoalType
Modifier and Type
Method
Description
`CoalType`
Coal.`getType()`
Deprecated.
Gets the current type of this coal
Methods in org.bukkit.material with parameters of type CoalType
Modifier and Type
Method
Description
`void`
Coal.`setType(CoalType type)`
Deprecated.
Sets the type of this coal
Constructors in org.bukkit.material with parameters of type CoalType
Modifier
Constructor
Description
``
`Coal(CoalType type)`
Deprecated.